# ----------------------------------------------------------
# --- Check availability of a OID and returns result
# ----------------------------------------------------------
# --- $1 = Community-String
# --- $2 = Agend IP-Adress
# --- $3 = OID
# --- Retur Codes:
# 0 = Query returned a valid result
# 1 = snmpwalk: Unknown host    = Commnity-String or IP are not correct
# 2 = Timeout: No Response      = Commnity-String or IP are not correct
# 3 = No Such Object            = OID not found
checkOID()
{
    local TestOID=""

    # --- Get OID-Value or return error message
    TestOID=$(snmpwalk -v 2c  -c $1 -O qv $2 $3 2>&1)

    if [ -z "${TestOID/*"Unknown host"*}" ]; then echo 1; return; fi
    if [ -z "${TestOID/*"Timeout"*}" ]; then echo 2; return; fi
    if [ -z "${TestOID/*"No Such Object"*}" ]; then echo 3; return; fi

    echo 0

} # --- End of [checkOID]

# ----------------------------------------------------------
# --- Check availability of Synology Sensors
# ----------------------------------------------------------
checkSensors()
{
    # ----------------------------------------------------------
    # --- Determine the number of available CPU-Thermal sensors
    # ----------------------------------------------------------
    for (( c=1; c<=10; c++)) do
        if [ -e $Core'temp'$c'_input' ]; then
            cpu_count=$[cpu_count+1]
            cpu_name[$cpu_count]=$[c]
        fi
    done

    # ----------------------------------------------------------
    # --- Determine the number of available FAN-RPM sensors
    # ----------------------------------------------------------
    for (( c=1; c<=10; c++)) do
        if [ -e $i2c'fan'$c'_input' ]; then
            fan_count=$[fan_count+1]
            fan_name[$fan_count]=$[c]
        fi
    done

    # ----------------------------------------------------------
    # --- Determine the number of available i2c-Thermal sensors
    # ----------------------------------------------------------
    for (( c=1; c<=10; c++)) do
        if [ -e $i2c'temp'$c'_input' ]; then
            i2c_count=$[i2c_count+1]
            i2c_name[$i2c_count]=$[c]
        fi
    done
} # --- End of [checkSensors]
